Product Alerts
This method provides alerts related to changes, such as when a product is back in stock or its price changes, including the user's language preference and the specific product it relates to.
Token-based authentication with required prefix "Token"
Query parameter created_date used to filter results based on specific conditions.
Query parameter id used to filter results based on specific conditions.
Filters records where id is greater than the given value.
Filters records where id is greater than or equal to the given value.
Filters records where id is less than the given value.
Filters records where id is less than or equal to the given value.
Query parameter is_active used to filter results based on specific conditions.
Query parameter language used to filter results based on specific conditions.
Limits the number of records returned in a single page. The maximum is 1000. A higher value is capped at 1000 and the request still succeeds.
Query parameter modified_date used to filter results based on specific conditions.
Filters records where modified_date is greater than the given value.
Filters records where modified_date is greater than or equal to the given value.
Filters records where modified_date is less than the given value.
Filters records where modified_date is less than or equal to the given value.
Query parameter page used to filter results based on specific conditions.
Query parameter product used to filter results based on specific conditions.
Query parameter sort used to filter results based on specific conditions.
Query parameter user used to filter results based on specific conditions.
Successful response for status code 200.
Numerical value representing quantity or total amount.
123This field defines the URL of the next page.
http://api.example.org/accounts/?page=4This field defines the URL of the previous page.
http://api.example.org/accounts/?page=2GET /api/v1/remote/1/data-warehouse/product-alerts/ HTTP/1.1
Host: sandbox.akinon.com
Authorization: YOUR_API_KEY
Accept: */*
Successful response for status code 200.
{
"count": 123,
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2",
"results": [
{
"created_date": "2026-01-01T00:00:00.000Z",
"id": 1,
"is_active": true,
"language": "text",
"modified_date": "2026-01-01T00:00:00.000Z",
"product": 1,
"user": 1
}
]
}This method provides alerts related to changes, such as when a product is back in stock or its price changes, including the user's language preference and the specific product it relates to. This endpoint retrieves a specific record by its unique identifier.
Token-based authentication with required prefix "Token"
A unique integer value identifying this product alert.
Successful response for status code 200.
Timestamp indicating when the record was created.
Unique identifier for the record.
Boolean flag indicating whether the condition is met.
The field defines the language code.
This field defines the last updated date.
The field defines the product ID associated with the product price.
This field defines the user who triggered the event.
Object not found.
GET /api/v1/remote/1/data-warehouse/product-alerts/{id}/ HTTP/1.1
Host: sandbox.akinon.com
Authorization: YOUR_API_KEY
Accept: */*
{
"created_date": "2026-01-01T00:00:00.000Z",
"id": 1,
"is_active": true,
"language": "text",
"modified_date": "2026-01-01T00:00:00.000Z",
"product": 1,
"user": 1
}Last updated
Was this helpful?

